package com.auto.clicker.autoclicker.room;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Update;

@Dao
public interface TouchEventDao {

    @Insert
    long insertEvent(TouchEventEntity event);

    @Delete
    void deleteEvent(TouchEventEntity event);

    @Update
    void updateEvent(TouchEventEntity event);
}